/******************************************************************************

PROJECT:			CS 297 Deliverable 3

FILE:				controlview.h

PURPOSE:			Class definition for a forms view where functionality 
					for controls such as buttons, edit boxes, etc. are 
					implemented.  The CControlView class defines the main 
					view for users to interact with.

COMPILER / TOOL:	Visual C++ .NET

PROGRAMMER:			Wallun Chan

START DATE:			4/1/05

******************************************************************************/

#pragma once

// CControlView form view

class CControlView : public CFormView
{
	DECLARE_DYNCREATE(CControlView)

protected:
	CControlView();           // protected constructor used by dynamic creation
	virtual ~CControlView();

public:
	enum { IDD = IDD_CONTROLVIEW };
	void updateTemplateViewState(BOOL updateSample = TRUE);
	void updateTestViewState(BOOL updateSample = TRUE);
	void featureLocate(BOOL removeOutliers);

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedLoadLeftButton();
	afx_msg void OnBnClickedLoadRightButton();
	afx_msg void OnBnClickedTemplateClearButton();
	afx_msg void OnBnClickedTemplateDetectButton();
	afx_msg void OnBnClickedTestClearButton();
	afx_msg void OnBnClickedTestDetectButton();
	afx_msg void OnBnClickedAlignButton();
	afx_msg void OnBnClickedTemplateShowImageCheck();
	afx_msg void OnBnClickedTemplateShowEdgesCheck();
	afx_msg void OnBnClickedTemplateSampledCheck();
	afx_msg void OnBnClickedTemplateHysCheck();
	afx_msg void OnBnClickedTemplateThinCheck();
	afx_msg void OnBnClickedTestHysCheck();
	afx_msg void OnBnClickedTestThinCheck();
	afx_msg void OnBnClickedTestShowImageCheck();
	afx_msg void OnBnClickedTestShowEdgesCheck();
	afx_msg void OnBnClickedTestSampledCheck();
	afx_msg void OnBnClickedEraseBoxesButton();
	afx_msg void OnBnClickedLocateButton();
	afx_msg void OnBnClickedFeatureResetButton();
	afx_msg void OnBnClickedPointGroupCheck();
	afx_msg void OnBnClickedSaveTemplateButton();
	afx_msg void OnBnClickedSaveTestButton();
	afx_msg void OnBnClickedSaveFeatureButton();
	afx_msg void OnBnClickedLocateRemoveOutliersButton();
};


