/***************************************************************************

PROJECT:			CS 297 Deliverable 3

FILE:				imagealigndoc.cpp

PURPOSE:			Document class implementation to store data 
					used by the template, test, map, and feature 
					locate views.

COMPILER / TOOL:	Visual C++ .NET

PROGRAMMER:			Wallun Chan

START DATE:			4/1/05

***************************************************************************/

#include "stdafx.h"
#include "imagealign.h"
#include "imagealignDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CimagealignDoc

IMPLEMENT_DYNCREATE(CimagealignDoc, CDocument)

BEGIN_MESSAGE_MAP(CimagealignDoc, CDocument)
END_MESSAGE_MAP()


// CimagealignDoc construction / destruction

CimagealignDoc::CimagealignDoc() : templateImage(0), 
testImage(0), featureImage(0), templateWidth(0), 
templateHeight(0), testWidth(0), testHeight(0), 
featureWidth(0), featureHeight(0), pointCount(0),
isMapped(FALSE), removeOutliers(FALSE), 
showGrouping(TRUE)
// Default constructor
{
	templateDetector = new EdgeDetector();
	testDetector = new EdgeDetector();
}

CimagealignDoc::~CimagealignDoc()
// Destructor to clear all document data
{
	delete templateDetector;
	delete testDetector;	
	delete [] templateImage;
	delete [] testImage;
	templateSampledPts.clear();
	testSampledPts.clear();
	templateWidth = 0;
	templateHeight = 0;
	testWidth = 0;
	testHeight = 0;
}

BOOL CimagealignDoc::OnNewDocument()
/* PURPOSE:		Resets entire application.
*/
{
	if (!CDocument::OnNewDocument())
		return FALSE;
	templateSampledPts.clear();
	testSampledPts.clear();
	boxes.clear();
	ptGroup.clear();
	delete [] templateImage;
	delete [] testImage;
	delete [] featureImage;
	templateImage = 0;
	testImage = 0;
	featureImage = 0;
	isMapped = false;
	UpdateAllViews(0);
	return TRUE;
}


// CimagealignDoc diagnostics

#ifdef _DEBUG
void CimagealignDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CimagealignDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG


CView* CimagealignDoc::getView(CRuntimeClass* runtimeClass)
/* PURPOSE:		Searches for and returns specific view attached 
				to parent window (e.g. template view, test view,
				map view, or feature locate view.

   RECEIVES:	Run-time class of view to retrieve.

   RETURNS:		Specific view attached to parent window.
*/
{
	POSITION pos = GetFirstViewPosition();
	while (pos != NULL)
	{	CView* pView = GetNextView(pos);
		if (pView->GetRuntimeClass() == runtimeClass)
		{	return pView;
		}
	}  
	return NULL;
}


// CimagealignDoc commands

