/***************************************************************************

PROJECT:			CS 297 Deliverable 3

FILE:				lap.h

PURPOSE:			Function definitions for code to solve linear 
					assignment problem in minimizing the total 
					cost of matching each node in a bipartite 
					graph.

COMPILER / TOOL:	Visual C++ .NET

PROGRAMMER:			Wallun Chan

START DATE:			4/1/05

REMARKS:			1)	This code was downloaded from 
						http://www.magiclogic.com/assignment.html
						and adapted to work for this application.

					2)	Version 1.0 - 4 September 1996
						author: Roy Jonker @ MagicLogic Optimization Inc.
						e-mail: roy_jonker@magiclogic.com

						Code for Linear Assignment Problem, according to 

						"A Shortest Augmenting Path Algorithm for Dense and 
						Sparse Linear Assignment Problems," Computing 38,
						325-340, 1987

						by

						R. Jonker and A. Volgenant, University of Amsterdam.

**************************************************************************/

#ifndef	_LAP_H_
#define _LAP_H_

#include "utility.h"

double lap(int dim, const MatInt& assigncost, VecInt& rowsol, 
VecInt& colsol, VecInt& u, VecInt& v);

#endif