/***************************************************************************

PROJECT:			CS 297 Deliverable 3

FILE:				tps.h

PURPOSE:			Class definition for code that implements the 
					thin-plate-spline method of landmark alignment.

COMPILER / TOOL:	Visual C++ .NET

PROGRAMMER:			Wallun Chan

START DATE:			4/1/05

***************************************************************************/

#ifndef _THIN_PLATE_SPLINE_H_
#define _THIN_PLATE_SPLINE_H_

#include "utility.h"

class TPSSolver
{
public:
	TPSSolver();
	~TPSSolver();
	void setPoints(const VecIntPr& trgtPts, const VecIntPr& testPts);
	void mapPoints(VecIntPr& pts);
private:
	double shapeFunction(double radius);
	Matrix lMatrix;
	Matrix wMatrix;
	VecIntPr samples;
};

#endif